import { MutableRefObject } from 'react';
import { ScrollView, NativeSyntheticEvent, NativeScrollEvent } from 'react-native';
export interface Options {
    ref?: MutableRefObject<ScrollView>;
    extraScrollHeight?: number;
    keyboardOpeningTime?: number;
}
export default function useInputScrollHandler(options?: Options): {
    scrollHandler: {
        ref: import("react").RefObject<ScrollView>;
        contentContainerStyle: {
            paddingBottom: number;
        };
        onScroll: (e: NativeSyntheticEvent<NativeScrollEvent>) => void;
        scrollEventThrottle: number;
    };
    keyboardSpace: number;
};
